#include "StdAfx.h"
#include "ConnectionEventArgs.h"

using namespace Adaptive::Network::Sockets;

/*--------------------------------------------------------------------------------
 * Constructor / Dispose / Destructor Methods
 *------------------------------------------------------------------------------*/
#pragma region Constructor / Dispose / Destructor Methods

ConnectionEventArgs::ConnectionEventArgs(ISocketConnection^ socketHandle)
{
	_connectedSocket = socketHandle;
}
ConnectionEventArgs::~ConnectionEventArgs()
{
	_connectedSocket = nullptr;
}
#pragma endregion

/*--------------------------------------------------------------------------------
 * Public Properties
 *------------------------------------------------------------------------------*/
#pragma region Public Properties

ISocketConnection^ ConnectionEventArgs::SocketConnection::get()
{
	return _connectedSocket;
}
#pragma endregion
