#include "StdAfx.h"
#include "FileClusterMapEntryCollection.h"

using namespace Adaptive::Foundation::IO;

/*--------------------------------------------------------------------------------
 * Constructor / Dispose / Destructor Methods
 *------------------------------------------------------------------------------*/
#pragma region Constructor / Dispose / Destructor Methods

FileClusterMapEntryCollection::FileClusterMapEntryCollection() : GenericCollectionBase()
{
}

FileClusterMapEntryCollection::~FileClusterMapEntryCollection() 
{
}

#pragma endregion

/*--------------------------------------------------------------------------------
 * Protected Methods / Functions
 *------------------------------------------------------------------------------*/
#pragma region Protected Methods / Functions

String^ FileClusterMapEntryCollection::GetKeyForObject(FileClusterMapEntry^ itemToGetKeyFor)
{
	if (itemToGetKeyFor != nullptr)
		return itemToGetKeyFor->StartingVirtualClusterNumber.ToString();
	else
		return String::Empty;
}

#pragma endregion
