#include "StdAfx.h"
#include "IoSaveFailedEventArgs.h"

using namespace Adaptive::Foundation::IO;

IoSaveFailedEventArgs::IoSaveFailedEventArgs()
{
	_fileName = nullptr;
	_ioException = nullptr;
}
IoSaveFailedEventArgs::IoSaveFailedEventArgs(String^ fileName)
{
	_fileName = fileName;
	_ioException = nullptr;
}
IoSaveFailedEventArgs::IoSaveFailedEventArgs(String^ fileName, Exception^ exception)
{
	_fileName = fileName;
	_ioException = exception;
}
IoSaveFailedEventArgs::~IoSaveFailedEventArgs()
{
	_fileName = nullptr;
	_ioException = nullptr;
}

String^ IoSaveFailedEventArgs::FileName::get()
{
	return _fileName;
}

Exception^ IoSaveFailedEventArgs::IOException::get()
{
	return _ioException;
}