#pragma once
/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * Processor Architecture Enumeration
 *      Lists the system values for known processor architectures.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
#include "stdafx.h"
using namespace System;

namespace Adaptive
{
	namespace Foundation
	{
		/// <summary>
		/// Lists the system values for known processor architectures.
		/// </summary>
		public enum class ProcessorArchitecture
		{
			Unknown = PROCESSOR_ARCHITECTURE_UNKNOWN, 
			Intel	= PROCESSOR_ARCHITECTURE_INTEL,
			IA64	= PROCESSOR_ARCHITECTURE_IA64,
			Amd64	= PROCESSOR_ARCHITECTURE_AMD64
		};
	}
}