#include "StdAfx.h"
#include "SocketsConnectionCollection.h"

using namespace Adaptive::Network::Sockets;

/*--------------------------------------------------------------------------------
 * Constructor / Dispose / Destructor Methods
 *------------------------------------------------------------------------------*/
#pragma region Constructor / Dispose / Destructor Methods

SocketsConnectionCollection::SocketsConnectionCollection() : GenericCollectionBase()
{
}
#pragma endregion

/*--------------------------------------------------------------------------------
 * Protected Methods / Functions
 *------------------------------------------------------------------------------*/
#pragma region Protected Methods / Functions

String^ SocketsConnectionCollection::GetKeyForObject(ISocketConnection^ itemToGetKeyFor)
{
	if (itemToGetKeyFor != nullptr)
		return itemToGetKeyFor->Id->ToString();
	else
		return String::Empty;
}

#pragma endregion
