/*--------------------------------------------------------------------
 * File Map Structure Class
 *
 * Represents a fragmentation entry for a file.
 *------------------------------------------------------------------*/

struct FILEMAP
{
	__int64 NextVcn;
	__int64 Lcn;
};

struct EXTENTS
{
	LARGE_INTEGER NextVcn;
	LARGE_INTEGER Lcn;
};

struct BITMAP_DESCRIPTOR
{
	LARGE_INTEGER StartingLcn;
	LARGE_INTEGER BitmapSize;
	BYTE Buffer[1];
};

struct MOVEFILE_DESCRIPTOR
{
	HANDLE fileHandle;
    ULONGLONG StartingVCN;
	ULONGLONG StartingLCN;
    __int64 ClusterCount;
};



