/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Windows Forms Controls Class Library
 * Version 2.00
 * 
 * Line Alignment Enumeration
 *		An alignment enumeration for the <see cref="LineControl"/> class.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
using System;

namespace Adaptive.Foundation.Windows.Forms
{
    /// <summary>
    /// An alignment enumeration for the <see cref="LineControl"/> class.
    /// </summary>
    public enum LineAlignment
    {
        /// <summary>Draw a horizontal line.</summary>
        Horizontal = 0,
        /// <summary>Draw a vertical line.</summary>
        Vertical = 1
    }
}
