/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * Service Dependents Event Handler Delegate
 *		Provides an event handler delegate definition for service dependents events.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
using System;

namespace Adaptive.Foundation
{
    /// <summary>
    /// Provides an event handler delegate definition for service dependents events.
    /// </summary>
    /// <remarks>
    /// This delegate definition is intended for use with the <see cref="DependentEventArgs"/> class.
    /// </remarks>
    public delegate void DependentEventHandler(object sender, DependentEventArgs e);
}