/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * I/O Load Failed Event Arguments Class
 *      An event arguments class for I/O load operation failure events.
 *--------------------------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------------------------------
 * System Imports
 *--------------------------------------------------------------------------------------------------*/
using System;

namespace Adaptive.Foundation
{
    /// <summary>
    /// An event arguments class for I/O load operation failure events.
    /// </summary>
    public delegate void IoLoadFailedEventHandler(object sender, IoLoadFailedEventArgs e);

}