/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * Symmetric Key Request Event Delegate Definition
 *      Provides an event delegate definition for events using the 
 * SymmetricKeyRequestEventArgs event arguments class.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
using System;

namespace Adaptive.Foundation.Security
{
    /// <summary>
    /// Provides an event delegate definition for events using the 
    /// <see cref="SymmetricKeyRequestEventArgs"/> event arguments class.
    /// </summary>
    public delegate void SymmetricKeyRequestEventHandler(object sender, SymmetricKeyRequestEventArgs e);
}