#include "StdAfx.h"
#include "AcceptedSocketEventArgs.h"

using namespace Adaptive::Network::Sockets;

/*--------------------------------------------------------------------------------
 * Constructor / Dispose / Destructor Methods
 *------------------------------------------------------------------------------*/
#pragma region Constructor / Dispose / Destructor Methods

AcceptedSocketEventArgs::AcceptedSocketEventArgs(SafeSocketHandle^ socketHandle)
{
	_connectedSocket = socketHandle;
}
AcceptedSocketEventArgs::~AcceptedSocketEventArgs()
{
	_connectedSocket = nullptr;
}
#pragma endregion

/*--------------------------------------------------------------------------------
 * Public Properties
 *------------------------------------------------------------------------------*/
#pragma region Public Properties

SafeSocketHandle^ AcceptedSocketEventArgs::SocketConnection::get()
{
	return _connectedSocket;
}
#pragma endregion
