#include "StdAfx.h"
#include "FreeSpaceBlock.h"

using namespace Adaptive::Foundation::IO;

/*--------------------------------------------------------------------------------
 * Constructor / Dispose / Destructor Methods
 *------------------------------------------------------------------------------*/
#pragma region Constructor / Dispose / Destructor Methods

FreeSpaceBlock::FreeSpaceBlock()
{
	_startCluster = 0;
	_clusterLength = 0;
}
FreeSpaceBlock::FreeSpaceBlock(__int64 startCluster, __int64 clusterLength)
{
	_startCluster = startCluster;
	_clusterLength = clusterLength;
}
#pragma endregion

/*------------------------------------------------------------------------
 * Public Properties
 *----------------------------------------------------------------------*/
#pragma region Public Properties

__int64 FreeSpaceBlock::StartCluster::get()
{
	return _startCluster;
}
void FreeSpaceBlock::StartCluster::set(__int64 value)
{
	_startCluster = value;
}
__int64 FreeSpaceBlock::ClusterSize::get()
{
	return _clusterLength;
}
void FreeSpaceBlock::ClusterSize::set(__int64 value)
{
	_clusterLength = value;
}
__int64 FreeSpaceBlock::Size::get()
{
	return _clusterLength * 4096;
}
#pragma endregion