#pragma once
/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * Clearable Interface
 *		Provides the interface definition for classes which implement a 
 * Clear() method.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
#include "stdafx.h"
using namespace System;

namespace Adaptive
{
	namespace Foundation
	{
		/// <summary>
		/// Provides the interface definition for classes which implement a 
		/// Clear() method.
		/// </summary>
		public interface class IClearable
		{
			/// <summary>
			/// Clears the contents of the implementing object's property values.
			/// </summary>
			void Clear();
		};
	}
}
