#pragma once
/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * TCP Level Socket Option Interface
 *		Provides a marker interface for Socket Option classes used at the 
 * TCP socket option level.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
#include "stdafx.h"
using namespace System;

namespace Adaptive
{
	namespace Network
	{
		namespace Sockets
		{
			/// <summary>
			/// Provides a marker interface for Socket Option classes used at the 
			/// TCP socket option level.
			/// </summary>
			public interface class ITcpSocketOption
			{
			};
		}
	}
}
