#include "StdAfx.h"
#include "IoLoadFailedEventArgs.h"

using namespace Adaptive::Foundation::IO;

IoLoadFailedEventArgs::IoLoadFailedEventArgs()
{
	_fileName = nullptr;
	_ioException = nullptr;
}
IoLoadFailedEventArgs::IoLoadFailedEventArgs(String^ fileName)
{
	_fileName = fileName;
	_ioException = nullptr;
}
IoLoadFailedEventArgs::IoLoadFailedEventArgs(String^ fileName, Exception^ exception)
{
	_fileName = fileName;
	_ioException = exception;
}
IoLoadFailedEventArgs::~IoLoadFailedEventArgs()
{
	_fileName = nullptr;
	_ioException = nullptr;
}

String^ IoLoadFailedEventArgs::FileName::get()
{
	return _fileName;
}

Exception^ IoLoadFailedEventArgs::IOException::get()
{
	return _ioException;
}