#pragma once
/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * Process Shutdown Parameters Structure
 *      Contains the shutdown parameters for a process.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
#include "stdafx.h"
using namespace System;

namespace Adaptive
{
	namespace Win32
	{
		/// <summary>
		/// Contains the shutdown parameters for a process.
		/// </summary>
		public value struct ProcessShutdownParameters
		{
		public:
			/// <summary>
			/// The number of read operations performed.
			/// </summary>
			ShutdownTiming When;
			/// <summary>
			/// The number of write operations performed.
			/// </summary>
			bool			 NoRetry;
		};
	}
	}
