#pragma once
/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * Processor Type Enumeration
 *      Lists the values for known processor types.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
#include "stdafx.h"
using namespace System;

namespace Adaptive
{
	namespace Foundation
	{
		/// <summary>
		/// Lists the values for known processor types.
		/// </summary>
		public enum class ProcessorType
		{
			Intel386		= PROCESSOR_INTEL_386,
			Intel486		= PROCESSOR_INTEL_486,
			IntelPentium	= PROCESSOR_INTEL_PENTIUM,
			IntelIA64		= PROCESSOR_INTEL_IA64,
			AmdX8664		= PROCESSOR_AMD_X8664
		};
	}
}