#include "StdAfx.h"
#include "UserDataEventArgs.h"

using namespace Adaptive::Foundation;

/*--------------------------------------------------------------------------------
 * Constructor / Dispose / Destructor Methods
 *------------------------------------------------------------------------------*/
#pragma region Constructor / Dispose / Destructor Methods
generic<typename T>
UserDataEventArgs<T>::UserDataEventArgs()
{
	_data = T();
}
generic<typename T>
UserDataEventArgs<T>::UserDataEventArgs(T dataContent)
{
	_data = dataContent;
}
generic<typename T>
UserDataEventArgs<T>::~UserDataEventArgs()
{
	_data = T();
}
#pragma endregion

/*--------------------------------------------------------------------------------
 * Public Properties
 *------------------------------------------------------------------------------*/
#pragma region Public Properties

generic<typename T>
T UserDataEventArgs<T>::Data::get()
{
	return _data;
}
generic<typename T>
void UserDataEventArgs<T>::Data::set(T value)
{
	_data = value;
}
#pragma endregion
