/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework
 * Version 2.10
 * 
 * SQL Parameter Delegate Definition
 *      Provides a delegate definition for SQL Parameter related events.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
using System;

namespace Adaptive.Foundation.Data
{
    /// <summary>
    /// Provides a delegate definition for SQL Parameter related events.
    /// </summary>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1003:UseGenericEventHandlerInstances")]
    public delegate void SqlParameterEventHandler(object sender, SqlParameterEventArgs e);
}