/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 *
 * Authentication Required Event Handle Delegate Definition.
 *		Provides a delegate definition for authentication events.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
using System;
using System.Collections.Generic;
using System.Text;

namespace Adaptive.Foundation
{
    /// <summary>
    /// Provides a delegate arguments definition for authentication events.
    /// </summary>
    public delegate void AuthenticationRequiredEventHandler(object sender, AuthenticationRequiredEventArgs e);
}