﻿/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * CRC-32 Exception Event Delegate Definition
 *      Provides an event handler delegate definition for CRC32 Exception-related events. 
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
using System;

namespace Adaptive.Foundation.IO.Zip
{
    /// <summary>
    /// Provides an event handler delegate definition for CRC32 Exception-related events. 
    /// </summary>
    public delegate void CrcExceptionEventHandler(object sender, CrcExceptionEventArgs e);
}
