/*--------------------------------------------------------------------------------
 * Adaptive Intelligence - Foundation Framework Class Library
 * Version 2.00
 * 
 * Key Request Event Delegate Definition
 *      Provides an event delegate definition for events using the 
 * KeyRequestEventArgs event arguments class.
 *------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------
 * System Imports
 *------------------------------------------------------------------------------*/
using System;

namespace Adaptive.Foundation.Security
{
    /// <summary>
    /// Provides an event delegate definition for events using the 
    /// <see cref="KeyRequestEventArgs"/> event arguments class.
    /// </summary>
    public delegate void KeyRequestEventHandler(object sender, KeyRequestEventArgs e);
}